class Health_Bar {

  ////
  int playerNumber;
  int i;
  float lifePoints;
  float thickness;
  float margin;
  float positionX;
  float positionY;
  float barStart;
  float barEnd;
  ////

  //Constructor
  Health_Bar(int paramPlayerNumber) {
    playerNumber = paramPlayerNumber;
  }

  void display() {
    
    rectMode(CENTER);

    margin = 1 * (height/100);                   //Offset amount from screen borders (percent of screen size)
    thickness = 1.5 * (height/100);              //Thickness of bar (percent of screen size)
    positionY = margin + thickness/2;            //Y-Position of bar

    if (playerNumber == 1) {
      lifePoints = player1.lifePoints;                                 //Get life points from player ship
      barStart = margin + thickness/2;                                 //PositionX of bar at min health
      positionX = barStart;
      barEnd = ((lifePoints/maxHealth) * 100) * (width/300)+ margin;   //Bar ends  1/3 of screen width multiplied by % of health
      i = 0;
      while (i < barEnd) {                                             //Use loop to draw bar to length
        noStroke();
        positionX++;
        i++;
        image(healthImage1, positionX, positionY, 1, thickness);       //draws health bar using image
        fill(color(255, random(255)));                                                                //Draws noise within health bar
        rect(positionX, positionY + (random(-thickness/2, thickness/2)), thickness/15, thickness/15); //
      }
    }

    if (playerNumber == 2) {                     //Same as above for other player
      lifePoints = player2.lifePoints;
      barStart = margin + thickness/2;
      positionX = width - (barStart);
      barEnd = ((lifePoints/maxHealth) * 100) * (width/300)+ margin;
      i = 0;
      while (i < barEnd) {
        noStroke();
        positionX--;
        i++;
        fill(color(255, random(255)));
        rect(positionX, positionY + (random(-thickness/2, thickness/2)), thickness/15, thickness/15);
        image(healthImage2, positionX, positionY, 1, thickness);
      }
    }
  }
}


