class Ammo_Bar {

  ////  
  float thickness;
  float positionX;
  float positionY;
  float margin;
  float ammo;
  float barEnd;
  color barColor;
  int playerNumber;
  int i;
  ////  

  //Constructor
  Ammo_Bar(int paramPlayerNumber) {
    
    playerNumber = paramPlayerNumber;
    
  }


  void display() {
    
    rectMode(CENTER);
    barColor = color(188, 174, 66, 255);

    thickness = health1.thickness/2;                                   //Half the thickness of the health bar
    positionY = health1.positionY + health1.thickness/2 + thickness/2; //Positioned just under health bar

    
    if (playerNumber == 1) {
      margin = health1.margin;
      ammo = player2.ammo;                                             //Gets ammo variable from player ship
      positionX = health1.barStart;                                    //Bar starts in line with health bar
      barEnd = ((ammo/ammoCapacity)*100) * (width/400) + margin;       //Bar ends  1/4 of screen width multiplied by % of ammo
      i = 0;
      while (i < barEnd) {                          //Use loop to draw bar to length
        if (ammo >= ammoCapacity - 1) {             //Change color to visually que player to shoot again
          barColor = color(165,255,0, 255);      //
        }                                           //
        noStroke();
        fill(barColor);
        positionX++;
        i++;
        rect(positionX, positionY, 1, thickness);
      }
    }

    if (playerNumber == 2) {                                           //Same as above for other player
      margin = health2.margin;
      ammo = player1.ammo;
      positionX = width - health1.barStart;
      barEnd = ((ammo/ammoCapacity)*100) * (width/400) + margin;
      i = 0;
      while (i< barEnd) {
        if (ammo >= ammoCapacity - 1) {
          barColor = color(165,255,0, 255);
        }
        noStroke();
        fill(barColor);
        positionX--;
        i++;
        rect(positionX, positionY, 1, thickness);
      }
    }
  }
}

