class Score_Bar {

  ////
  float thickness;
  float positionY;
  float positionX;
  float positionX2;
  float positionX3;
  float score;
  int playerNumber;
  int i;
  color barColor;
  ////

  //Constructor
  Score_Bar(int paramPlayerNumber) {
    playerNumber = paramPlayerNumber;
  }

  void display() {
    barColor = color(234, 197, 92);
    //    barColor = color(255);
    thickness = (1 * height/100);              //Size of markers
    positionY = health1.margin;                //Y-Position of markers

    rectMode(CENTER);
    noStroke();
    fill(barColor);

    if (playerNumber == 1) {

      score = player2.score;                               //Get score from player ship

      i = 0;
      positionX = health1.margin + thickness;              //X-Position of first marker
      while (i < score) {                                  //Loop draws a marker for each point the player has
        noStroke();
        fill(barColor);
        positionX += 2*thickness;
        rect(positionX, positionY, thickness, thickness);
        i++;
      }

      i = 0;
      positionX = health1.margin + thickness;
      while (i < numberOfRounds) {                         //Loop draws (number of rounds) empty markers
        stroke(195);
        strokeWeight(2);
        fill(0, 0);
        positionX += 2*thickness;
        rect(positionX, positionY, thickness, thickness);
        i++;
      }
    }

    if (playerNumber == 2) {                               //Same as above for other player

      score = player1.score;

      i = 0;
      positionX = width - health2.margin - thickness;
      while (i < score) {
        noStroke();
        fill(barColor);
        positionX -= 2*thickness;
        rect(positionX, positionY, thickness, thickness);
        i++;
      }

      i = 0;
      positionX = width - health2.margin - thickness;
      while (i < numberOfRounds) {
        stroke(195);
        strokeWeight(2);
        fill(0, 0);
        positionX -= 2*thickness;
        rect(positionX, positionY, thickness, thickness);
        i++;
      }
    }
  }
}

